# coding: utf-8

from datetime import timedelta
import random


def choice(start, end):
    """
    :param start: datetime from. <datetime>
    :param end: datetime to. <datetime>
    :return: datetime object that randomly selected.
    """
    seconds_f = (end - start).total_seconds()
    seconds_i = int(seconds_f)

    chosen = random.randint(0, seconds_i)
    if seconds_i == chosen:
        microseconds = random.randint(
            0, int(
                (seconds_f-seconds_i) * 1000000
            )
        )
    else:
        microseconds = random.randint(0, 999999)

    return start + timedelta(seconds=chosen, microseconds=microseconds)
